## org.pentaho.reporting.libraries.repository
Class ContentCreationException

    java.lang.Object
      StackableException
          org.pentaho.reporting.libraries.repository.ContentIOException
              org.pentaho.reporting.libraries.repository.ContentCreationException

    public class ContentCreationException

extends ContentIOException

A exception that indicates that a new ContentEntry could not be created in the repository.

Author:
  Thomas Morgner

Constructor Summary
`ContentCreationException()` Creates a ContentCreationException with no message and no parent.
`ContentCreationException(java.lang.String message)` Creates an ContentCreationException.
`ContentCreationException(java.lang.String message, java.lang.Exception ex)` Creates an ContentCreationException.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentCreationException

    public ContentCreationException()

  Creates a ContentCreationException with no message and no parent.

### ContentCreationException

    public ContentCreationException(java.lang.String message,
                                    java.lang.Exception ex)

  Creates an ContentCreationException.

  Parameters:
    `message` - the exception message.
    `ex` - the parent exception.

### ContentCreationException

    public ContentCreationException(java.lang.String message)

  Creates an ContentCreationException.

  Parameters:
    `message` - the exception message.